## CUPS-PDF Spec-File

Summary: 		Extension for creating pdf-Files with CUPS
Name: 			cups-pdf
Version: 		1.7.0
Release: 		0
Group: 			Applications/Publishing
Source0: 		http://cip.physik.uni-wuerzburg.de/~vrbehr/cups-pdf/%{name}_%{version}.tar.gz
Source1: 		INSTALL.cups-pdf
URL: 			http://cip.physik.uni-wuerzburg.de/~vrbehr/cups-pdf/
Vendor: 		Volker C. Behr <vrbehr@cip.physik.uni-wuerzburg.de>
Packager: 		Christian Ellsworth C. <k.ellsworth@gmail.com>
License: 		GPL
BuildRoot: 		%{_tmppath}/%{name}-%{version}-root
Requires:		ghostscript, cups
BuildPreReq:	gcc
Prefix:			%{_prefix}
Provides: 		cups-pdf

# These are the defaults paths defined in config.h
# CUPS-PDF spool directory
%define CPSPOOL /var/spool/cups-pdf/SPOOL

# CUPS-PDF output directory
%define CPOUT /var/spool/cups-pdf

# CUPS-PDF log directory
%define CPLOG /var/log/cups

# Additional path to backend directory
%ifarch x86_64
%define CPBACKEND %{prefix}/lib64/cups/backend
%else
%define CPBACKEND %{prefix}/lib/cups/backend
%endif

%description
"cups-pdf" is a backend script for use with CUPS - the "Common UNIX Printing System"
(see more for CUPS under http://www.cups.org/). "cups-pdf" uses the ghostscript pdfwrite
device to produce PDF Files.
This version has been modified from the sources to force the output directory to the user home directory.


%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{name}-%{version}



%build
cd $RPM_BUILD_DIR/%{name}-%{version}/src
%{__cc} $RPM_OPT_FLAGS -o cups-pdf cups-pdf.c


%install
mkdir -p $RPM_BUILD_ROOT%{CPBACKEND}
mkdir -p $RPM_BUILD_ROOT%{CPSPOOL}
mkdir -p $RPM_BUILD_ROOT%{CPOUT}
mkdir -p $RPM_BUILD_ROOT%{CPLOG}
mkdir -p $RPM_BUILD_ROOT%{CPBACKEND}
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}_%{version}
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/cups/model/
install -m644 $RPM_BUILD_DIR/%{name}-%{version}/extra/PostscriptColor.ppd.gz $RPM_BUILD_ROOT%{prefix}/share/cups/model/PostscriptColor.ppd
install -m644 $RPM_SOURCE_DIR/INSTALL.cups-pdf $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}_%{version}/INSTALL
install -m755 $RPM_BUILD_DIR/%{name}-%{version}/src/cups-pdf $RPM_BUILD_ROOT%{CPBACKEND}


%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}


%files
%dir %{CPBACKEND}
%dir %{CPSPOOL}
%dir %{CPOUT}
%dir %{CPLOG}
%attr(755, root, root) %{CPBACKEND}/cups-pdf
%{prefix}/share/cups/model/PostscriptColor.ppd
%{_defaultdocdir}/%{name}_%{version}/INSTALL

%post
/etc/init.d/cups restart
lpadmin -p Cups-PDF -v cups-pdf:/ -m PostscriptColor.ppd -E

%changelog
* Sat Mar 05 2005	Christian Ellsworth C. <k.ellsworth@gmail.com>
- adapted to cups-pdf 1.7.0
- added auto configure a cups-pdf printer

* Tue Feb 22 2005	Christian Ellsworth C. <k.ellsworth@gmail.com>
- adapted to cups-pdf 1.6.6

* Thu Aug 12 2004	Volker Behr <vrbehr@cip.physik.uni-wuerzburg.de>
- adapted to cups-pdf 1.5.2 

* Sat Jan 31 2004	Volker Behr <vrbehr@cip.physik.uni-wuerzburg.de>
- adapetd to cups-pdf 1.4.0 and new building environment

* Wed Jan 14 2004	Mark Lane <harddata.com>
- fixed the specfile so that x86_64 version installs the filter
- in /usr/lib64 instead of /usr/lib

* Sun Nov 02 2003	Volker Behr <vrbehr@cip.physik.uni-wuerzburg.de>
- third release of cups-pdf, RPM-Edition for cups-pdf 1.3

* Tue Sep 09 2003	Dirk Schwier <rpms@raumhochdrei.de>
- second Release of cups-pdf, RPM-Edition for cups-pdf 1.1

* Tue May 27 2003	Dirk Schwier <rpms@raumhochdrei.de>
- we're proud to present the first version of cups-pdf, RPM-Edition
